package com.example.backend.users.repository;

import java.util.Optional;
import org.springframework.data.repository.CrudRepository;

import com.example.backend.users.model.UserEntity;

public interface UserRepository extends CrudRepository<UserEntity, Integer> {
    Optional<UserEntity> findByUsernameIgnoreCase(String username);

    Optional<UserEntity> findByLoginIgnoreCase(String login);
}
